ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
HTTPClientAuth.h File Reference
`#include "HTTPClientWrapper.h"`

Go to the source code of this file.

## Classes
struct | MD5Context

## Macros
#define | HASHLEN 16
#define | HASHHEXLEN 32
#define | IN
#define | OUT
#define | DECODE64(c) (isascii(c) ? base64val[c] : BAD)
#define | BAD -1

## Typedefs
typedef char | HASH[HASHLEN]
typedef char | HASHHEX[HASHHEXLEN+1]
typedef unsigned long | uint32
typedef struct MD5Context | MD5_CTX

## Functions
void | HTTPBase64Encoder (unsigned char *out, const unsigned char *in, int inlen)
int | HTTPBase64Decoder (char *out, const char *in)
void | HTTPDigestGenerateCNonce (char *outbuff)
void | HTTPDigestCalcHA1 (IN int nAlg, IN char *pszUserName, IN char *pszRealm, IN int nRealmLength, IN char *pszPassword, IN char *pszNonce, IN int nNonceLength, IN char *pszCNonce, OUT HASHHEX SessionKey)
void | HTTPDigestCalcResponse (IN HASHHEX HA1, IN char *pszNonce, IN int nNonceLength, IN char *pszNonceCount, IN char *pszCNonce, IN char *pszQop, IN int nQopLength, IN char *pszMethod, IN char *pszDigestUri, IN int nDigestUriLebgth, IN HASHHEX HEntity, OUT HASHHEX Response)
void | HTTPMD5Init (struct MD5Context *context)
void | HTTPMD5Update (struct MD5Context *context, unsigned char const *buf, unsigned len)
void | HTTPMD5Final (unsigned char digest[16], struct MD5Context *context)
void | HTTPMD5Transform (uint32 buf[4], uint32 const in[16])

## Macro Definition Documentation

#define BAD -1

#define DECODE64 | ( |  | c | ) | (isascii(c) ? base64val[c] : BAD)

#define HASHHEXLEN 32

#define HASHLEN 16

#define IN

#define OUT

## Typedef Documentation

typedef char HASH[HASHLEN]

typedef char HASHHEX[HASHHEXLEN+1]

typedef struct MD5Context MD5_CTX

typedef unsigned long uint32

## Function Documentation

int HTTPBase64Decoder | ( | char * | out,
|  | const char * | in
| ) |  |

void HTTPBase64Encoder | ( | unsigned char * | out,
|  | const unsigned char * | in,
|  | int | inlen
| ) |  |

void HTTPDigestCalcHA1 | ( | IN int | nAlg,
|  | IN char * | pszUserName,
|  | IN char * | pszRealm,
|  | IN int | nRealmLength,
|  | IN char * | pszPassword,
|  | IN char * | pszNonce,
|  | IN int | nNonceLength,
|  | IN char * | pszCNonce,
|  | OUT HASHHEX | SessionKey
| ) |  |

void HTTPDigestCalcResponse | ( | IN HASHHEX | HA1,
|  | IN char * | pszNonce,
|  | IN int | nNonceLength,
|  | IN char * | pszNonceCount,
|  | IN char * | pszCNonce,
|  | IN char * | pszQop,
|  | IN int | nQopLength,
|  | IN char * | pszMethod,
|  | IN char * | pszDigestUri,
|  | IN int | nDigestUriLebgth,
|  | IN HASHHEX | HEntity,
|  | OUT HASHHEX | Response
| ) |  |

void HTTPDigestGenerateCNonce | ( | char * | outbuff | ) |

void HTTPMD5Final | ( | unsigned char | digest[16],
|  | struct MD5Context * | context
| ) |  |

void HTTPMD5Init | ( | struct MD5Context * | context | ) |

void HTTPMD5Transform | ( | uint32 | buf[4],
|  | uint32 const | in[16]
| ) |  |

void HTTPMD5Update | ( | struct MD5Context * | context,
|  | unsigned char const * | buf,
|  | unsigned | len
| ) |  |